org.apache.http.conn.params

## Class ConnConnectionParamBean

- java.lang.Object
- - org.apache.http.params.HttpAbstractParamBean
  - - org.apache.http.conn.params.ConnConnectionParamBean

Deprecated.
(4.1) use custom `DefaultHttpResponseParser` implementation.

    @Deprecated
    public class ConnConnectionParamBean
    extends org.apache.http.params.HttpAbstractParamBean

This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate HTTP client connection parameters using Java Beans conventions.

Since:
  4.0

### Field Summary

### Fields inherited from class org.apache.http.params.HttpAbstractParamBean

`params`

### Constructor Summary

Constructors
Constructor and Description
`ConnConnectionParamBean(org.apache.http.params.HttpParams params)` Deprecated.

### Method Summary

Methods
`void` `setMaxStatusLineGarbage(int maxStatusLineGarbage)` Deprecated. (4.2) Use custom `DefaultHttpResponseParser` implementation

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnConnectionParamBean

    public ConnConnectionParamBean(org.apache.http.params.HttpParams params)

Deprecated.

### Method Detail

#### setMaxStatusLineGarbage

    @Deprecated
    public void setMaxStatusLineGarbage(int maxStatusLineGarbage)

Deprecated. (4.2) Use custom `DefaultHttpResponseParser` implementation